%define oname xfce4-cpu-freq-plugin
%define __libtoolize /bin/true

Summary:    Cpu-freq plugins for XFCE desktop
Name:       xfce-cpu-freq-plugin
Version:    0.0.1
Release:    %mkrel 2
License:    GPL
URL:        http://goodies.xfce.org/releases
Source0:    %oname-%{version}.tar.bz2
Group:      Graphical desktop/Xfce
BuildRoot:  %{_tmppath}/%{name}-root
Requires:   xfce-panel >= 4.3.90.2
BuildRequires:  xfce-panel-devel >= 4.3.90.2
BuildRequires:  libxfcegui4-devel >= 4.3.90.2
BuildRequires:  perl(XML::Parser)

%description
cpu freq plugin for the Xfce Desktop Environment. It provides a
simple system for managing the frequency of the CPU.

%prep
%setup -q -n %oname-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall_std


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS INSTALL NEWS
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_iconsdir}/hicolor/16x16/apps/cpu.png
%{_iconsdir}/hicolor/22x22/apps/cpu.png
%{_iconsdir}/hicolor/48x48/apps/cpu.png
%{_iconsdir}/hicolor/scalable/apps/cpu.svg


%changelog
* Wed Jan 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-2mdv2007.0
+ Revision: 113044
- Rebuild for new xfce

* Wed Jan 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-1mdv2007.1
+ Revision: 107060
- Import xfce-cpu-freq-plugin

